<?php
/**
 * Class MassDeleteRessourceForm
 * User: ThurData
 * Date: 2019-10-11
 * Time: 11:29
 * @package ThurData\Servers\KerioEmail\App\UI\Client\Ressource\Forms
 */

namespace ThurData\Servers\KerioEmail\App\UI\Client\Ressource\Forms;

use ThurData\Servers\KerioEmail\App\UI\Client\Ressource\Providers\DeleteRessourceDataProvider;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\BaseForm;

class MassDeleteRessourceForm extends BaseForm implements ClientArea
{
    protected $id    = 'massDeleteRessourceForm';
    protected $name  = 'massDeleteRessourceForm';
    protected $title = 'massDeleteRessourceForm';

    protected function getDefaultActions()
    {
        return ['massDelete'];
    }

    public function initContent()
    {
        $this->setFormType('massDelete');
        $this->dataProvider = new DeleteRessourceDataProvider();

        $this->setConfirmMessage('massDeleteRessourceFormConfirm');


        $this->loadDataToForm();
    }

}